---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FD20, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51C60, symBinAddr: 0xE100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52050, symBinAddr: 0xE4F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52FF0, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53000, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F990, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F994, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F998, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FAF0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FBA8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FBAC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FBB0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FBB4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FBB8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FBC0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FBD8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FBE0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FBE8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FBF0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FBF8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FC40, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4FC48, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x46E0, symSize: 0x80 }
  - { offsetInCU: 0x91BE, offset: 0x91BE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4630, symSize: 0xB0 }
  - { offsetInCU: 0x9219, offset: 0x9219, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4530, symSize: 0x100 }
  - { offsetInCU: 0x94AC, offset: 0x94AC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4760, symSize: 0x220 }
  - { offsetInCU: 0x9691, offset: 0x9691, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4980, symSize: 0xA0 }
  - { offsetInCU: 0x9744, offset: 0x9744, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4A20, symSize: 0x110 }
  - { offsetInCU: 0x983A, offset: 0x983A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4B30, symSize: 0x150 }
  - { offsetInCU: 0x996B, offset: 0x996B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4C80, symSize: 0x30 }
  - { offsetInCU: 0x99F4, offset: 0x99F4, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4CB0, symSize: 0x150 }
  - { offsetInCU: 0x9BEC, offset: 0x9BEC, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4E00, symSize: 0x160 }
  - { offsetInCU: 0x9D78, offset: 0x9D78, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4F60, symSize: 0x1B0 }
  - { offsetInCU: 0x9F93, offset: 0x9F93, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5110, symSize: 0xA0 }
  - { offsetInCU: 0xA08E, offset: 0xA08E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x51B0, symSize: 0x20 }
  - { offsetInCU: 0xA0C5, offset: 0xA0C5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x51D0, symSize: 0x20 }
  - { offsetInCU: 0xA0FC, offset: 0xA0FC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x51F0, symSize: 0x20 }
  - { offsetInCU: 0xA2AB, offset: 0xA2AB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5210, symSize: 0x1A0 }
  - { offsetInCU: 0xA5D1, offset: 0xA5D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x53B0, symSize: 0x80 }
  - { offsetInCU: 0xA69A, offset: 0xA69A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5430, symSize: 0x6A0 }
  - { offsetInCU: 0xB22F, offset: 0xB22F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F30, symBinAddr: 0x64F0, symSize: 0xB0 }
  - { offsetInCU: 0xB2A6, offset: 0xB2A6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5AD0, symSize: 0x70 }
  - { offsetInCU: 0xB362, offset: 0xB362, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5B40, symSize: 0xA0 }
  - { offsetInCU: 0xB461, offset: 0xB461, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5BE0, symSize: 0x40 }
  - { offsetInCU: 0xB557, offset: 0xB557, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5C20, symSize: 0x2B0 }
  - { offsetInCU: 0xB8FD, offset: 0xB8FD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5ED0, symSize: 0xC0 }
  - { offsetInCU: 0xBA43, offset: 0xBA43, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5F90, symSize: 0x10 }
  - { offsetInCU: 0xBB05, offset: 0xBB05, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5FA0, symSize: 0x220 }
  - { offsetInCU: 0xBE02, offset: 0xBE02, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x61C0, symSize: 0x10 }
  - { offsetInCU: 0xBE58, offset: 0xBE58, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x61D0, symSize: 0x110 }
  - { offsetInCU: 0xBFD8, offset: 0xBFD8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D20, symBinAddr: 0x62E0, symSize: 0x10 }
  - { offsetInCU: 0xC02E, offset: 0xC02E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass002_suspThread, symObjAddr: 0x9D30, symBinAddr: 0x62F0, symSize: 0x80 }
  - { offsetInCU: 0xC0D5, offset: 0xC0D5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass002_resThread, symObjAddr: 0x9DB0, symBinAddr: 0x6370, symSize: 0x80 }
  - { offsetInCU: 0xC1C8, offset: 0xC1C8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass002_makeRedefinition, symObjAddr: 0x9E30, symBinAddr: 0x63F0, symSize: 0x100 }
  - { offsetInCU: 0xC30E, offset: 0xC30E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FE0, symBinAddr: 0x65A0, symSize: 0x36A }
...
